al_ustr_new_from_buffer(3)

NAME

al_ustr_new_from_buffer - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    ALLEGRO_USTR *al_ustr_new_from_buffer(const char *s, size_t size)

DESCRIPTION

Create a new string containing a copy of the buffer pointed to by s of the given size in bytes. The string must eventually be freed with al_ustr_free(3).

SEE ALSO

al_ustr_new(3)